Index: /code/branches/pch/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSLevel.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/gamestates/GSLevel.cc	(revision 3180)
@@ -38,6 +38,8 @@
 #include "core/ConsoleCommand.h"
 #include "core/ConfigValueIncludes.h"
+#include "core/CoreIncludes.h"
 #include "core/Game.h"
 #include "core/GameMode.h"
+#include "core/Core.h"
 #include "core/Loader.h"
 #include "core/ObjectList.h"
Index: /code/branches/pch/src/orxonox/objects/pickup/BaseItem.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/BaseItem.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/BaseItem.cc	(revision 3180)
@@ -34,6 +34,5 @@
 #include "BaseItem.h"
 
-#include "PickupCollection.h"
-
+#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
@@ -55,5 +54,5 @@
         this->setGUIText("");
     }
-    //! Deconstructor.
+    //! Destructor.
     BaseItem::~BaseItem()
     {
@@ -105,4 +104,7 @@
     }
 
-    const std::string& BaseItem::getGUIText() const { return this->guiText_; }
+    const std::string& BaseItem::getGUIText() const
+    {
+        return this->guiText_;
+    }
 }
Index: /code/branches/pch/src/orxonox/objects/pickup/BaseItem.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/BaseItem.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/BaseItem.h	(revision 3180)
@@ -37,4 +37,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
 #include "core/BaseObject.h"
 
Index: /code/branches/pch/src/orxonox/objects/pickup/DroppedItem.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/DroppedItem.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/DroppedItem.cc	(revision 3180)
@@ -29,10 +29,13 @@
 #include "DroppedItem.h"
 
+#include "util/Debug.h"
+#include "util/Math.h"
+#include "core/CoreIncludes.h"
+#include "core/Executor.h"
+#include "core/ObjectList.h"
 #include "BaseItem.h"
+#include "objects/worldentities/Billboard.h"
+#include "objects/worldentities/Model.h"
 #include "objects/worldentities/pawns/Pawn.h"
-#include "objects/worldentities/Model.h"
-#include "objects/worldentities/Billboard.h"
-
-#include "core/CoreIncludes.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/pickup/DroppedItem.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/DroppedItem.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/DroppedItem.h	(revision 3180)
@@ -29,5 +29,5 @@
 /**
     @file
-    @brief Definition of BaseItem (base-class for items/pickups).
+    @brief Definition of DroppedItem
 */
 
@@ -37,7 +37,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include "tools/Timer.h"
 #include "interfaces/Tickable.h"
 #include "objects/worldentities/StaticEntity.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/pickup/EquipmentItem.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/EquipmentItem.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/EquipmentItem.cc	(revision 3180)
@@ -33,5 +33,4 @@
 
 #include "EquipmentItem.h"
-
 #include "core/CoreIncludes.h"
 
@@ -46,7 +45,3 @@
         RegisterObject(EquipmentItem);
     }
-    //! Deconstructor.
-    EquipmentItem::~EquipmentItem()
-    {
-    }
 }
Index: /code/branches/pch/src/orxonox/objects/pickup/EquipmentItem.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/EquipmentItem.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/EquipmentItem.h	(revision 3180)
@@ -38,5 +38,4 @@
 
 #include "BaseItem.h"
-
 namespace orxonox
 {
@@ -49,5 +48,5 @@
     public:
         EquipmentItem(BaseObject* creator);
-        virtual ~EquipmentItem();
+        virtual ~EquipmentItem() {}
     };
 }
Index: /code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.cc	(revision 3180)
@@ -33,9 +33,8 @@
 
 #include "ModifierPickup.h"
-#include "PickupCollection.h"
-
+
+#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-
 #include "objects/worldentities/pawns/Pawn.h"
 
Index: /code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.h	(revision 3180)
@@ -35,11 +35,12 @@
 #define _ModifierPickup_H__
 
-#include <climits>
-
 #include "OrxonoxPrereqs.h"
 
+#include <climits>
+#include <map>
+
+#include "orxonox/tools/Timer.h"
+#include "ModifierType.h"
 #include "PassiveItem.h"
-#include "ModifierType.h"
-#include "orxonox/tools/Timer.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/pickup/ModifierType.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/ModifierType.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/ModifierType.h	(revision 3180)
@@ -35,4 +35,6 @@
 #define _ModifierType_H__
 
+#include "OrxonoxPrereqs.h"
+
 namespace orxonox
 {
Index: /code/branches/pch/src/orxonox/objects/pickup/PassiveItem.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/PassiveItem.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/PassiveItem.cc	(revision 3180)
@@ -28,5 +28,4 @@
 
 #include "PassiveItem.h"
-
 #include "core/CoreIncludes.h"
 
@@ -41,7 +40,3 @@
         RegisterObject(PassiveItem);
     }
-    //! Deconstructor.
-    PassiveItem::~PassiveItem()
-    {
-    }
 }
Index: /code/branches/pch/src/orxonox/objects/pickup/PassiveItem.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/PassiveItem.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/PassiveItem.h	(revision 3180)
@@ -36,5 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "BaseItem.h"
 
@@ -49,5 +48,5 @@
     public:
         PassiveItem(BaseObject* creator);
-        virtual ~PassiveItem();
+        virtual ~PassiveItem() {}
     };
 }
Index: /code/branches/pch/src/orxonox/objects/pickup/PickupCollection.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/PickupCollection.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/PickupCollection.cc	(revision 3180)
@@ -34,10 +34,8 @@
 #include "PickupCollection.h"
 
-#include "BaseItem.h"
+#include "core/CoreIncludes.h"
 #include "EquipmentItem.h"
 #include "PassiveItem.h"
 #include "UsableItem.h"
-
-#include "core/CoreIncludes.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/pickup/PickupCollection.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/PickupCollection.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/PickupCollection.h	(revision 3180)
@@ -37,10 +37,9 @@
 #include "OrxonoxPrereqs.h"
 
+#include <deque>
 #include <map>
-#include <deque>
 #include <string>
 
 #include "util/Math.h"
-
 #include "ModifierType.h"
 
Index: /code/branches/pch/src/orxonox/objects/pickup/PickupInventory.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/PickupInventory.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/PickupInventory.cc	(revision 3180)
@@ -28,15 +28,4 @@
 
 #include "PickupInventory.h"
-
-#include "EquipmentItem.h"
-#include "PassiveItem.h"
-#include "UsableItem.h"
-
-#include "core/ConsoleCommand.h"
-#include "core/input/InputManager.h"
-
-#include "gui/GUIManager.h"
-#include "objects/controllers/HumanController.h"
-#include "objects/worldentities/pawns/Pawn.h"
 
 #include <CEGUIImage.h>
@@ -46,4 +35,15 @@
 #include <CEGUIWindowManager.h>
 #include <elements/CEGUITabControl.h>
+
+#include "core/ConsoleCommand.h"
+#include "core/input/InputManager.h"
+#include "gui/GUIManager.h"
+#include "objects/controllers/HumanController.h"
+#include "objects/worldentities/pawns/Pawn.h"
+
+#include "EquipmentItem.h"
+#include "PassiveItem.h"
+#include "UsableItem.h"
+
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/pickup/PickupInventory.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/PickupInventory.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/PickupInventory.h	(revision 3180)
@@ -37,7 +37,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include <CEGUIForwardRefs.h>
 #include "core/BaseObject.h"
-
-namespace CEGUI { class Window; class WindowManager; class Image; }
 
 // tolua_begin
Index: /code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.cc	(revision 3180)
@@ -33,13 +33,15 @@
 
 #include "PickupSpawner.h"
+
 #include "BaseItem.h"
-#include "PickupInventory.h"    // HACK; Only for hack, remove later
-#include "gui/GUIManager.h"     // HACK; see above
 
 #include "core/CoreIncludes.h"
+#include "core/ObjectList.h"
+#include "core/Template.h"
 #include "core/XMLPort.h"
-#include "core/Template.h"
+#include "gui/GUIManager.h"     // HACK; see below
+#include "objects/worldentities/pawns/Pawn.h"
+#include "PickupInventory.h"    // HACK; Only for hack, remove later
 
-#include "objects/worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.h	(revision 3180)
@@ -37,7 +37,8 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
+#include "tools/Timer.h"
 #include "interfaces/Tickable.h"
 #include "objects/worldentities/StaticEntity.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/pickup/UsableItem.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/UsableItem.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/UsableItem.cc	(revision 3180)
@@ -33,5 +33,4 @@
 
 #include "UsableItem.h"
-
 #include "core/CoreIncludes.h"
 
@@ -46,7 +45,3 @@
         RegisterObject(UsableItem);
     }
-    //! Deconstructor.
-    UsableItem::~UsableItem()
-    {
-    }
 }
Index: /code/branches/pch/src/orxonox/objects/pickup/UsableItem.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/UsableItem.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/UsableItem.h	(revision 3180)
@@ -36,5 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "BaseItem.h"
 
@@ -49,5 +48,5 @@
     public:
         UsableItem(BaseObject* creator);
-        virtual ~UsableItem();
+        virtual ~UsableItem() { }
 
         /**
Index: /code/branches/pch/src/orxonox/objects/pickup/items/HealthImmediate.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/items/HealthImmediate.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/items/HealthImmediate.cc	(revision 3180)
@@ -34,8 +34,7 @@
 #include "HealthImmediate.h"
 
-#include "objects/worldentities/pawns/Pawn.h"
-
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "objects/worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/pickup/items/HealthImmediate.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/items/HealthImmediate.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/items/HealthImmediate.h	(revision 3180)
@@ -36,5 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "objects/pickup/PassiveItem.h"
 
Index: /code/branches/pch/src/orxonox/objects/pickup/items/HealthUsable.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/items/HealthUsable.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/items/HealthUsable.cc	(revision 3180)
@@ -33,10 +33,10 @@
 
 #include "HealthUsable.h"
-#include "objects/pickup/DroppedItem.h"
 
-#include "objects/worldentities/pawns/Pawn.h"
-
+#include "util/Math.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "objects/pickup/DroppedItem.h"
+#include "objects/worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/pickup/items/HealthUsable.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/items/HealthUsable.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/items/HealthUsable.h	(revision 3180)
@@ -35,10 +35,8 @@
 #define _HealthUsable_H__
 
-#include <climits>
-
 #include "OrxonoxPrereqs.h"
 
+#include <climits>
 #include "objects/pickup/UsableItem.h"
-#include "util/Math.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/pickup/items/Jump.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/items/Jump.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/items/Jump.cc	(revision 3180)
@@ -33,10 +33,9 @@
 
 #include "Jump.h"
-#include "objects/pickup/DroppedItem.h"
-
-#include "objects/worldentities/pawns/Pawn.h"
 
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "objects/pickup/DroppedItem.h"
+#include "objects/worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/pickup/items/Jump.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/items/Jump.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/pickup/items/Jump.h	(revision 3180)
@@ -39,6 +39,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include <climits>
+#include "util/Math.h"
 #include "objects/pickup/UsableItem.h"
-#include "util/Math.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/quest/AddQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddQuest.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/AddQuest.cc	(revision 3180)
@@ -34,11 +34,8 @@
 #include "AddQuest.h"
 
-#include <string>
-
+#include "util/Debug.h"
+#include "util/Exception.h"
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
 #include "QuestManager.h"
-#include "QuestDescription.h"
 #include "Quest.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/AddQuest.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddQuest.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/AddQuest.h	(revision 3180)
@@ -36,6 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include "core/XMLPort.h"
 #include "ChangeQuestStatus.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.cc	(revision 3180)
@@ -34,7 +34,7 @@
 #include "AddQuestHint.h"
 
+#include "util/Exception.h"
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "QuestItem.h"
Index: /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.h	(revision 3180)
@@ -38,5 +38,4 @@
 
 #include <string>
-
 #include "QuestEffect.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddReward.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/AddReward.cc	(revision 3180)
@@ -34,7 +34,7 @@
 #include "AddReward.h"
 
+#include "util/Debug.h"
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "Rewardable.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/AddReward.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddReward.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/AddReward.h	(revision 3180)
@@ -38,6 +38,4 @@
 
 #include <list>
-
-#include "core/XMLPort.h"
 #include "QuestEffect.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 3180)
@@ -35,5 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
+#include "core/XMLPort.h"
 #include "QuestItem.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 3180)
@@ -38,6 +38,4 @@
 
 #include <string>
-
-#include "core/XMLPort.h"
 #include "QuestEffect.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.cc	(revision 3180)
@@ -35,6 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "Quest.h"
Index: /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.h	(revision 3180)
@@ -36,6 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include "core/XMLPort.h"
 #include "ChangeQuestStatus.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/FailQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/FailQuest.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/FailQuest.cc	(revision 3180)
@@ -35,6 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "Quest.h"
Index: /code/branches/pch/src/orxonox/objects/quest/FailQuest.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/FailQuest.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/FailQuest.h	(revision 3180)
@@ -36,6 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include "core/XMLPort.h"
 #include "ChangeQuestStatus.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.cc	(revision 3180)
@@ -34,8 +34,6 @@
 #include "GlobalQuest.h"
 
-#include "orxonox/objects/infos/PlayerInfo.h"
 #include "core/CoreIncludes.h"
-#include "core/Super.h"
-
+#include "core/XMLPort.h"
 #include "QuestEffect.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.h	(revision 3180)
@@ -37,8 +37,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include <list>
 #include <set>
-#include <list>
-
-#include "core/XMLPort.h"
 #include "Quest.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/LocalQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/LocalQuest.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/LocalQuest.cc	(revision 3180)
@@ -35,7 +35,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Super.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestEffect.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/LocalQuest.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/LocalQuest.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/LocalQuest.h	(revision 3180)
@@ -38,6 +38,4 @@
 
 #include <map>
-
-#include "core/XMLPort.h"
 #include "Quest.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/Quest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/Quest.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/Quest.cc	(revision 3180)
@@ -35,6 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "QuestDescription.h"
Index: /code/branches/pch/src/orxonox/objects/quest/Quest.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/Quest.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/Quest.h	(revision 3180)
@@ -39,7 +39,4 @@
 
 #include <list>
-
-#include "core/XMLPort.h"
-
 #include "QuestItem.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/QuestDescription.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestDescription.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestDescription.cc	(revision 3180)
@@ -36,4 +36,5 @@
 
 #include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
 #include "QuestNotification.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/QuestDescription.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestDescription.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestDescription.h	(revision 3180)
@@ -38,7 +38,5 @@
 
 #include <string>
-
 #include "core/BaseObject.h"
-#include "core/XMLPort.h"
 
 // tolua_begin
Index: /code/branches/pch/src/orxonox/objects/quest/QuestEffect.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestEffect.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestEffect.cc	(revision 3180)
@@ -33,8 +33,5 @@
 
 #include "QuestEffect.h"
-
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/quest/QuestEffect.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestEffect.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestEffect.h	(revision 3180)
@@ -38,5 +38,4 @@
 
 #include <list>
-
 #include "core/BaseObject.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 3180)
@@ -36,8 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "core/Event.h"
 #include "core/EventIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
 #include "orxonox/objects/worldentities/pawns/Pawn.h"
 #include "orxonox/objects/worldentities/triggers/PlayerTrigger.h"
Index: /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 3180)
@@ -37,4 +37,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include <list>
 #include "orxonox/objects/worldentities/StaticEntity.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/QuestHint.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestHint.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestHint.cc	(revision 3180)
@@ -35,6 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "QuestDescription.h"
Index: /code/branches/pch/src/orxonox/objects/quest/QuestHint.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestHint.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestHint.h	(revision 3180)
@@ -38,6 +38,4 @@
 
 #include <map>
-
-#include "core/XMLPort.h"
 #include "QuestItem.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/QuestItem.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestItem.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestItem.cc	(revision 3180)
@@ -35,5 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
+#include "core/XMLPort.h"
 #include "QuestDescription.h"
 
Index: /code/branches/pch/src/orxonox/objects/quest/QuestItem.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestItem.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestItem.h	(revision 3180)
@@ -40,7 +40,5 @@
 
 #include <string>
-
 #include "core/BaseObject.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/quest/QuestListener.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestListener.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestListener.cc	(revision 3180)
@@ -36,5 +36,4 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-
 #include "Quest.h"
 #include "QuestManager.h"
@@ -190,4 +189,15 @@
     /**
     @brief
+        Get the questId of the Quest the QuestListener reacts to.
+    @return
+        Returns the questId of the Quest the QuestListener reacts to.
+    */
+    const std::string & QuestListener::getQuestId(void)    
+    {
+        return this->quest_->getId();
+    }
+
+    /**
+    @brief
         Executes the QuestListener, resp. fires an Event.
     @return
Index: /code/branches/pch/src/orxonox/objects/quest/QuestListener.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestListener.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestListener.h	(revision 3180)
@@ -39,8 +39,5 @@
 #include <string>
 #include <list>
-
 #include "core/BaseObject.h"
-
-#include "Quest.h"
 
 namespace orxonox
@@ -92,11 +89,5 @@
         std::string getMode(void); //!< Get the mode of the QuestListener.
         
-        /**
-        @brief Get the questId of the Quest the QuestListener reacts to.
-        @return Returns the questId of the Quest the QuestListener reacts to.
-        */
-        inline const std::string & getQuestId(void)
-                { return this->quest_->getId(); }
-        
+        const std::string & getQuestId(void);        
         bool execute(void); //!< Executes the QuestListener, resp. fires an Event.
         
Index: /code/branches/pch/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestManager.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestManager.cc	(revision 3180)
@@ -34,12 +34,14 @@
 #include "QuestManager.h"
 
+#include "util/Exception.h"
 #include "core/CoreIncludes.h"
-#include "core/ConsoleCommand.h"
-#include "core/input/InputManager.h"
-
 #include "gui/GUIManager.h"
+
 #include "objects/infos/PlayerInfo.h"
+#include "objects/infos/PlayerInfo.h"
+#include "overlays/GUIOverlay.h"
 #include "Quest.h"
 #include "QuestHint.h"
+#include "QuestItem.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/quest/QuestManager.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestManager.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestManager.h	(revision 3180)
@@ -37,11 +37,8 @@
 #include "OrxonoxPrereqs.h"
 
+#include <list>
 #include <map>
-#include <list>
 #include <string>
-
 #include "core/OrxonoxClass.h"
-#include "orxonox/objects/infos/PlayerInfo.h"
-#include "overlays/GUIOverlay.h"
 
 // tolua_begin
Index: /code/branches/pch/src/orxonox/objects/quest/QuestNotification.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestNotification.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestNotification.cc	(revision 3180)
@@ -28,8 +28,5 @@
 
 #include "QuestNotification.h"
-
 #include "core/CoreIncludes.h"
-
-#include "orxonox/overlays/notifications/Notification.h"
 
 namespace orxonox {
Index: /code/branches/pch/src/orxonox/objects/quest/QuestNotification.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestNotification.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestNotification.h	(revision 3180)
@@ -33,6 +33,5 @@
 
 #include <string>
-
-#include "orxonox/overlays/notifications/Notification.h"
+#include "overlays/notifications/Notification.h"
 
 namespace orxonox {
Index: /code/branches/pch/src/orxonox/objects/quest/Rewardable.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/Rewardable.cc	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/Rewardable.cc	(revision 3180)
@@ -33,5 +33,4 @@
 
 #include "Rewardable.h"
-
 #include "core/CoreIncludes.h"
 
@@ -42,17 +41,7 @@
         Constructor. Registers the object.
     */
-    Rewardable::Rewardable(BaseObject* creator) : BaseObject(creator)
+    Rewardable::Rewardable()
     {
         RegisterObject(Rewardable);
     }
-
-    /**
-    @brief
-        Destructor,
-    */
-    Rewardable::~Rewardable()
-    {
-    }
-
-
 }
Index: /code/branches/pch/src/orxonox/objects/quest/Rewardable.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/Rewardable.h	(revision 3179)
+++ /code/branches/pch/src/orxonox/objects/quest/Rewardable.h	(revision 3180)
@@ -36,6 +36,5 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include "core/BaseObject.h"
+#include "core/OrxonoxClass.h"
 
 namespace orxonox
@@ -49,9 +48,9 @@
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport Rewardable : public BaseObject
+    class _OrxonoxExport Rewardable : public OrxonoxClass
     {
         public:
-            Rewardable(BaseObject* creator);
-            virtual ~Rewardable();
+            Rewardable();
+            virtual ~Rewardable() {}
 
             /**
@@ -67,5 +66,4 @@
 
     };
-
 }
 
